import org.kde.qt.*;

public class Tut2 extends QObject {
	public static void main(String[] args) {
		QApplication a = new QApplication(args);
		QPushButton quit = new QPushButton("Quit", null);
		quit.resize( 75, 30 );
		quit.setFont(new QFont("Times", 18, QFont.Bold, false));

		connect(quit, SIGNAL("clicked()"), a, SLOT("quit()"));
		
		a.setMainWidget(quit);
		quit.show();
		a.exec();
	}
	
	static {
		try {
			Class c = Class.forName("org.kde.qt.qtjava");
		} catch (Exception e) {
			e.printStackTrace();
			System.out.println("Can't load qtjava class");
		}
	}
}
